> ## Documentation Index
> Fetch the complete documentation index at: https://developer.supernotes.app/llms.txt
> Use this file to discover all available pages before exploring further.

#  Get Known Owner Profiles

> Get the public profiles for all card owners the current user knows



## OpenAPI

````yaml get /v1/profiles/known
openapi: 3.1.0
info:
  title: supernotes
  description: The Supernotes API – a modern and fast API for quick card creation
  version: 3.2.1
servers: []
security: []
paths:
  /v1/profiles/known:
    get:
      tags:
        - profiles
      summary: ' Get Known Owner Profiles'
      description: Get the public profiles for all card owners the current user knows
      operationId: _get_known_owner_profiles_v1_profiles_known_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/UserPublicProfile'
                type: array
                title: Response  Get Known Owner Profiles V1 Profiles Known Get
      security:
        - APIKeyHeader: []
components:
  schemas:
    UserPublicProfile:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        username:
          type: string
          title: Username
        first_name:
          type: string
          title: First Name
        last_name:
          type: string
          title: Last Name
        bio:
          anyOf:
            - type: string
            - type: 'null'
          title: Bio
        photo:
          anyOf:
            - type: string
            - type: 'null'
          title: Photo
      type: object
      required:
        - id
        - username
        - first_name
        - last_name
        - bio
        - photo
      title: UserPublicProfile
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Api-Key

````